commit:     d874bb7d46cae0a619c2dc85da57524eb20b235b
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 16 05:55:00 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jan 16 06:10:56 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d874bb7d

dev-python/dnspython: Bump to 2.3.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/dnspython/Manifest               |  1 +
 dev-python/dnspython/dnspython-2.3.0.ebuild | 52 +++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/dnspython/Manifest b/dev-python/dnspython/Manifest
index 948cb93bdb3f..c48250fd5d39 100644
--- a/dev-python/dnspython/Manifest
+++ b/dev-python/dnspython/Manifest
@@ -1 +1,2 @@
 DIST dnspython-2.2.1.tar.gz 304861 BLAKE2B 
e6446b91579c6ec0a7266a354ceb58e2f881b55b7376648770ebc2c6104fd815214497516d305b75802e9211703d47a70d66745d872a43afb72f41e55a617652
 SHA512 
ec545468f604d6131f07259ca154c4f71d445d12c336ac1da0d2f025d6478ada76320a7235119312fed85da071ef309d2531e541d3c2340a50deaf3f4dd7b4eb
+DIST dnspython-2.3.0.gh.tar.gz 339222 BLAKE2B 
1e1bfd1d716f5afce1ccc2e0f1fbb8e575e91619bc32f2c5067f6da4e01ea927dd0a1ed4c35e6c88d34de320befd833c9c17d060ea71918775c1f5f0121b61a8
 SHA512 
0bb4b41262a1d97b724e48b4dfb70f1fb544c18824e7d2bc2dcb8ef6c943c6c827ce753ae4ccb2ab37e95c8f5ff5d2f4853f238509f21e6299a445760c41e10e

diff --git a/dev-python/dnspython/dnspython-2.3.0.ebuild 
b/dev-python/dnspython/dnspython-2.3.0.ebuild
new file mode 100644
index 000000000000..3362a2edb297
--- /dev/null
+++ b/dev-python/dnspython/dnspython-2.3.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{9..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="DNS toolkit for Python"
+HOMEPAGE="
+       https://www.dnspython.org/
+       https://github.com/rthalley/dnspython/
+       https://pypi.org/project/dnspython/
+"
+SRC_URI="
+       https://github.com/rthalley/dnspython/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-solaris"
+IUSE="dnssec examples"
+
+RDEPEND="
+       dnssec? (
+               dev-python/cryptography[${PYTHON_USEDEP}]
+       )
+       <dev-python/idna-4.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       sed -i -e '/network_avail/s:True:False:' \
+               tests/*.py || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       epytest -s
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       if use examples; then
+               dodoc -r examples
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+}

Reply via email to